Bug 805913 - Shrink option can't work with LVM partitions
Shrink option can't work with LVM partitions
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-03-22 08:51 EDT by Petr Schindler
Modified: 2013-07-31 19:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-07-31 19:53:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
my partition layout (36.93 KB, image/png)
2012-03-22 08:51 EDT, Petr Schindler
no flags Details

  None (edit)
Description Petr Schindler 2012-03-22 08:51:32 EDT
Created attachment 571989 [details]
my partition layout

Description of problem:
I was testing this test case: https://fedoraproject.org/wiki/QA:Testcase_Anaconda_autopart_%28shrink%29_install

When I try to shrink current system installed by following all defaults, anaconda doesn't offer me lvm partition lv_root of existing system for reduction.

In attachment you can find screen shot with my layout.

It only offers to shrink the /boot partition (vda2).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install system following all defaults
2. Boot install media (Beta.TC2)
3. Proceed to the installation partition screen by selecting appropriate defaults. 
4. At the disk partitioning screen, select the partition layout Shrink current system select Next
Actual results:
You can shrink only /boot partition

Expected results:
Installer should be able to shrink LVM partitions. 

Additional info:
Comment 1 David Lehman 2012-04-04 17:52:09 EDT
There are no plans to implement shrinking of lv/vg/pv stack in the "shrink current system" interface at this time.
Comment 2 Fedora End Of Life 2013-07-03 18:11:39 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-07-31 19:53:40 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.